function main()
{
  var app = System.GetInterface('Application');
  var Model = app.Models.GetObject(0);
  //... parameter in GetObject determines with which model the script should work.
  //0 = first model listed in the Application View, 1 = second model listed in the Application View etc.

  Model.Lock();
  for (e=0; e<Model.Entities.Count; e++)
  {
    Entity = Model.Entities.GetObject(e);
    for (k=0; k<Entity.Keys.Count; k++)
    {
      Key = Entity.Keys.GetObject(k);
      if (Key.IsPrimaryKey)
      {
        Key.Name = "PK_"+Entity.Name;
        Log.Information("Primary Key constraint name in Entity "+Entity.Name+" was changed.");
      }
    }
  }
  Model.UnLock();
}
